"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const foundation_cli_1 = require("@genesislcap/foundation-cli");
const utils_1 = require("./utils");
exports.default = (plop) => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
    (0, foundation_cli_1.setActionTypes)(plop);
    const { appName, seedDir, generatorName, appDirectory, seedDirPath, data } = (0, utils_1.initialiseInputs)();
    (0, utils_1.validateInputs)(appName, appDirectory, seedDir, seedDirPath);
    const { validationErrors, combined } = yield (0, utils_1.resolveData)(appName, appDirectory, seedDirPath, data);
    (0, utils_1.printDataResolutionResult)(validationErrors, combined);
    const { bypassArr } = (0, foundation_cli_1.bypass)(plop);
    (0, utils_1.registerGenerators)(plop, foundation_cli_1.bypass);
    yield (0, utils_1.runGenerator)(plop, combined, generatorName, bypassArr);
    return;
});
